Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 738998 (CVE-2020-6559, CVE-2020-6560, CVE-2020-6561, CVE-2020-6562, CVE-2020-6563, CVE-2020-6564, CVE-2020-6565, CVE-2020-6566, CVE-2020-6567, CVE-2020-6568, CVE-2020-6569, CVE-2020-6570, CVE-2020-6571)

Summary: <www-client/{chromium,google-chrome}-85.0.4183.83: Multiple vulnerabilities (CVE-2020-{6559,6560,6561,6562,6563,6564,6565,6566,6567,6568,6569,6570,6571})
Product: Gentoo Security Reporter: Stephan Hartmann <sultan>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: major CC: chromium, ian.kumlien
Priority: Normal Keywords: CC-ARCHES, PullRequest
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: All   
OS: Linux   
URL: https://chromereleases.googleblog.com/2020/08/stable-channel-update-for-desktop_25.html
See Also: https://github.com/gentoo/gentoo/pull/17263
Whiteboard: A2 [glsa+]
Package list:
www-client/chromium-85.0.4183.83
Runtime testing required: ---

Description Stephan Hartmann gentoo-dev 2020-08-25 19:03:17 UTC
See ${URL}.

CVE-2020-6558: Insufficient policy enforcement in iOS. 
Looks like we are not affected.

Both ebuilds are already in tree.
Comment 1 Sam James archtester gentoo-dev Security 2020-08-25 19:14:22 UTC
arm64 stable
Comment 2 Sam James archtester gentoo-dev Security 2020-08-26 01:00:06 UTC
amd64 stable. Please cleanup.
Comment 3 Larry the Git Cow gentoo-dev 2020-08-26 10:16:22 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73a7a77ade05ad94055a561e1ead44c3e839b0d4

commit 73a7a77ade05ad94055a561e1ead44c3e839b0d4
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-08-26 06:47:17 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-08-26 10:16:14 +0000

    www-client/chromium: security cleanup
    
    Bug: https://bugs.gentoo.org/738998
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Closes: https://github.com/gentoo/gentoo/pull/17263
    Signed-off-by: Sam James <sam@gentoo.org>

 www-client/chromium/Manifest                      |   3 -
 www-client/chromium/chromium-84.0.4147.135.ebuild | 866 ----------------------
 www-client/chromium/metadata.xml                  |   1 -
 3 files changed, 870 deletions(-)
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2020-08-26 21:44:02 UTC
This issue was resolved and addressed in
 GLSA 202008-11 at https://security.gentoo.org/glsa/202008-11
by GLSA coordinator Sam James (sam_c).
Comment 5 Sam James archtester gentoo-dev Security 2020-08-27 11:24:11 UTC
*** Bug 739228 has been marked as a duplicate of this bug. ***
Comment 6 Stephan Hartmann gentoo-dev 2020-08-27 11:25:28 UTC
www-client/google-chrome did not went stable.
Comment 7 Mike Gilbert gentoo-dev 2020-08-27 16:11:20 UTC
google-chrome has been bumped straight to stable.